# class Labelframe

### Constants

TkCommandNames
WidgetClassName

### Private Instance Methods

__val2ruby_optkeys() click to toggle source

def create_self(keys)

    if keys and keys != None
      tk_call_without_enc('labelframe', @path, *hash_kv(keys, true))
    else
      tk_call_without_enc('labelframe', @path)
    end

end private :create_self

Calls superclass method TkConfigMethod#__val2ruby_optkeys

    # File lib/tk/labelframe.rb, line 21
    def __val2ruby_optkeys  # { key=>proc, ... }
      super().update('labelwidget'=>proc{|v| window(v)})
    end